Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.http.configurators
Class HttpProtocol

    java.lang.Object
      org.jboss.soa.esb.http.Configurator
          org.jboss.soa.esb.http.configurators.HttpProtocol

    public class HttpProtocol

extends Configurator

HTTP Protocol configurator.

Supports both HTTP and HTTPS, including configuring the socket factory and SSL keystore. It supports the SSL keystore being on the classpath, filesystem or based on a `URI`.

Properties:

- target-host-url: (Required)
- keystore: (Optional). See `KeyMaterial`. Defaults to "/keystore".
- keystore-passwd: (Optional). See `KeyMaterial`. Defaults to "changeit".
- protocol-socket-factory: See `Protocol`. (Optional). Defaults to `StrictSSLProtocolSocketFactory` for HTTPS, otherwise defaults to `DefaultProtocolSocketFactory`. Configure with `EasySSLProtocolSocketFactory` for unauthenticated SSL. To authenticate with a self-signed certificate, use the `SelfSignedSSLProtocolSocketFactoryBuilder` (test/demo only) and to perform full authentication (2way) with CA Signed certs, use the `AuthSSLProtocolSocketFactoryBuilder`.

See HttpClient HttpProtocol Guide.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`HttpProtocol()`

Method Summary
`void` | `configure(org.apache.commons.httpclient.HttpClient httpClient, java.util.Properties properties)`

Methods inherited from class org.jboss.soa.esb.http.Configurator
`assertPropertyIsInteger, assertPropertySetAndNotBlank, getTargetURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpProtocol

    public HttpProtocol()

Method Detail

### configure

    public void configure(org.apache.commons.httpclient.HttpClient httpClient,
                          java.util.Properties properties)
                   throws ConfigurationException

  Specified by:
    `configure` in class `Configurator`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD